Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ppm3d.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ppm3d.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ppm3d.f90	(revision 5117)
@@ -269,5 +269,5 @@
   ! User modifiable parameters
   !
-  integer,parameter :: Jmax = 361, kmax = 150
+  INTEGER,parameter :: Jmax = 361, kmax = 150
   !
   ! ****6***0*********0*********0*********0*********0*********0**********72
@@ -282,5 +282,5 @@
   INTEGER :: IMRD2
   REAL :: PT
-  logical :: cross, fill, dum
+  LOGICAL :: cross, fill, dum
   !
   ! Local dynamic arrays
@@ -327,20 +327,20 @@
     WRITE(6,*) 'NLAY must be >= 6'
     stop
-  endif
-  if (JNP<NLAY) THEN
+  ENDIF
+  IF (JNP<NLAY) THEN
      WRITE(6,*) 'JNP must be >= NLAY'
     stop
-  endif
+  ENDIF
   IMRD2=mod(IMR,2)
-  if (j1==2.and.IMRD2/=0) THEN
+  IF (j1==2.AND.IMRD2/=0) THEN
      WRITE(6,*) 'if j1=2 IMR must be an even integer'
     stop
-  endif
-
-  !
-  IF(Jmax<JNP .or. Kmax<NLAY) THEN
+  ENDIF
+
+  !
+  IF(Jmax<JNP .OR. Kmax<NLAY) THEN
     WRITE(6,*) 'Jmax or Kmax is too small'
     stop
-  endif
+  ENDIF
   !
   DO k=1,NLAY
@@ -359,5 +359,5 @@
   ! Define cosine consistent with GEOS-GCM (using dycore2.0 or later)
         CALL cosc(cosp,cose,JNP,PI,DP)
-  endif
+  ENDIF
   !
   do J=2,JMR
@@ -370,5 +370,5 @@
   acosp(1)   = RCAP
   acosp(JNP) = RCAP
-  endif
+  ENDIF
   !
   IF(NDT0 /= NDT) THEN
@@ -384,5 +384,5 @@
   IF(MaxDT < abs(NDT)) THEN
         WRITE(6,*) 'Warning!!! NDT maybe too large!'
-  endif
+  ENDIF
   !
   IF(CR1>=0.95) THEN
@@ -398,5 +398,5 @@
   IML = min(6*JS0/(J1-1)+2, 4*IMR/5)
   JN0 = JNP-JS0+1
-  endif
+  ENDIF
   !
   !
@@ -414,5 +414,5 @@
   !
   !  WRITE(6,*) 'J1=',J1,' J2=', J2
-  endif
+  ENDIF
   !
   ! *********** End Initialization **********************
@@ -438,5 +438,5 @@
   END DO
   END DO
-  endif
+  ENDIF
   !
   ! Compute "tracer density"
@@ -472,5 +472,5 @@
   CRY(i,2) = DTDY*V(i,1,k)
   END DO
-  endif
+  ENDIF
   !
   ! Determine JS and JN
@@ -483,5 +483,5 @@
         JS = j
         go to 2222
-  endif
+  ENDIF
   enddo
   enddo
@@ -493,5 +493,5 @@
         JN = j
         go to 2233
-  endif
+  ENDIF
   enddo
   enddo
@@ -503,5 +503,5 @@
   DPI(i,JMR,k) = 0.
   enddo
-  endif
+  ENDIF
   !
   ! ******* Compute horizontal mass fluxes ************
@@ -596,5 +596,5 @@
   VA(IMR,1)=VA(1,1)
   VA(IMR,JNP)=VA(1,JNP)
-  endif
+  ENDIF
   !
   ! ****6***0*********0*********0*********0*********0*********0**********72
@@ -608,5 +608,5 @@
   ! E-W advective cross term
   do j=J1,J2
-  IF(J>JS  .and. J<JN) GO TO 250
+  IF(J>JS  .AND. J<JN) GO TO 250
   !
   do i=1,IMR
@@ -627,5 +627,5 @@
   else
   wk1(i,j,1) = qtmp(iiu)+ru*(qtmp(iiu)-qtmp(iiu+1))
-  endif
+  ENDIF
   wk1(i,j,1) = wk1(i,j,1) - qtmp(i)
   END DO
@@ -648,5 +648,5 @@
   enddo
   enddo
-  endif
+  ENDIF
   ! ****6***0*********0*********0*********0*********0*********0**********72
   ! Contribution from the N-S advection
@@ -681,5 +681,5 @@
   enddo
   enddo
-  endif
+  ENDIF
   !
   CALL xtp(IMR,JNP,IML,j1,j2,JN,JS,PU,DQ(1,1,k,IC),wk1(1,1,2) &
@@ -773,5 +773,5 @@
   END DO
   END DO
-  endif
+  ENDIF
   END DO
   !
@@ -783,5 +783,5 @@
   END DO
   END DO
-  endif
+  ENDIF
   !
   RETURN
@@ -792,6 +792,6 @@
         flux,wk1,wk2,wz2,delp,KORD)
   IMPLICIT NONE
-  integer,parameter :: kmax = 150
-  real,parameter :: R23 = 2./3., R3 = 1./3.
+  INTEGER,parameter :: kmax = 150
+  REAL,parameter :: R23 = 2./3., R3 = 1./3.
   INTEGER :: IMR,JNP,NLAY,J1,KORD
   REAL :: WZ(IMR,JNP,NLAY),P(IMR,JNP,NLAY),DC(IMR,JNP,NLAY), &
@@ -838,5 +838,5 @@
   !
   DO j=1,JNP
-  if((j==2 .or. j==JMR) .and. j1/=2) goto 2000
+  IF((j==2 .OR. j==JMR) .AND. j1/=2) goto 2000
   !
   DO k=1,NLAY
@@ -942,5 +942,5 @@
     flux(i,2) = AL(i,2)+0.5*CP*(AL(i,2)-AR(i,2)-A6(i,2)*(1.+R23*CP))
      ! print *,'test2',i, AL(i,2),AR(i,2),A6(i,2),R23
-  endif
+  ENDIF
   END DO
   !
@@ -990,5 +990,5 @@
   enddo
   !
-  IF(j>=JN .or. j<=JS) goto 2222
+  IF(j>=JN .OR. j<=JS) goto 2222
   ! ************* Eulerian **********
   !
@@ -998,5 +998,5 @@
   qtmp(IMP+1) = q(2,J)
   !
-  IF(IORD==1 .or. j==j1 .or. j==j2) THEN
+  IF(IORD==1 .OR. j==j1 .OR. j==j2) THEN
   DO i=1,IMR
   iu = REAL(i) - uc(i,j)
@@ -1007,5 +1007,5 @@
   DC(0) = DC(IMR)
   !
-  IF(IORD==2 .or. j<=j1vl .or. j>=j2vl) THEN
+  IF(IORD==2 .OR. j<=j1vl .OR. j>=j2vl) THEN
   DO i=1,IMR
   iu = REAL(i) - uc(i,j)
@@ -1014,5 +1014,5 @@
   else
   CALL fxppm(IMR,IML,UC(1,j),Qtmp,DC,fx1,IORD)
-  endif
+  ENDIF
   !
   ENDIF
@@ -1033,5 +1033,5 @@
   enddo
   !
-  IF(IORD==1 .or. j==j1 .or. j==j2) THEN
+  IF(IORD==1 .OR. j==j1 .OR. j==j2) THEN
   DO i=1,IMR
   itmp = INT(uc(i,j))
@@ -1068,5 +1068,5 @@
     enddo
   !DIR$ VECTOR
-  endif
+  ENDIF
   END DO
   do i=1,IMR
@@ -1091,9 +1091,9 @@
   INTEGER :: IMR,IML,IORD
   REAL :: UT,P,DC,flux
-  real,parameter ::  R3 = 1./3., R23 = 2./3.
+  REAL,parameter ::  R3 = 1./3., R23 = 2./3.
   DIMENSION UT(*),flux(*),P(-IML:IMR+IML+1),DC(-IML:IMR+IML+1)
   REAL :: AR(0:IMR),AL(0:IMR),A6(0:IMR)
   INTEGER :: LMT,IMP,JLVL,i
-   ! logical first
+   ! LOGICAL first
    ! data first /.TRUE./
    ! SAVE LMT
@@ -1112,10 +1112,10 @@
   !  else
   !        LMT = IORD - 3
-  !  endif
+  !  ENDIF
   !
   LMT = IORD - 3
    ! WRITE(6,*) 'PPM option in E-W direction = ', LMT
    ! first = .FALSE.
-   ! endif
+   ! END IF
   !
   DO i=1,IMR
@@ -1145,5 +1145,5 @@
   flux(i) = AL(i) - 0.5*UT(i)*(AR(i) - AL(i) + &
         A6(i)*(1.+R23*UT(i)))
-  endif
+  ENDIF
   enddo
   RETURN
@@ -1153,5 +1153,5 @@
   IMPLICIT NONE
   INTEGER :: IMR,IML
-  real,parameter :: R24 = 1./24.
+  REAL,parameter :: R24 = 1./24.
   REAL :: P(-IML:IMR+1+IML),DC(-IML:IMR+1+IML)
   INTEGER :: i
@@ -1191,5 +1191,5 @@
   CALL ymist(IMR,JNP,j1,P,DC2,4)
   !
-  IF(JORD<=0 .or. JORD>=3) THEN
+  IF(JORD<=0 .OR. JORD>=3) THEN
   CALL fyppm(VC,P,DC2,fx,IMR,JNP,j1,j2,A6,AR,AL,JORD)
 
@@ -1199,6 +1199,6 @@
   fx(i,j1) = p(i,JT) + (sign(1.,VC(i,j1))-VC(i,j1))*DC2(i,JT)
   END DO
-  endif
-  endif
+  ENDIF
+  ENDIF
   !
   DO i=1,len
@@ -1232,5 +1232,5 @@
   DQ(i,JMR) = sum2
   enddo
-  endif
+  ENDIF
   !
   RETURN
@@ -1240,5 +1240,5 @@
   IMPLICIT NONE
   INTEGER :: IMR,JNP,j1,ID
-  real,parameter :: R24 = 1./24.
+  REAL,parameter :: R24 = 1./24.
   REAL :: P(IMR,JNP),DC(IMR,JNP)
   INTEGER :: iimh,jmr,ijm3,imh,i
@@ -1315,5 +1315,5 @@
   DC(i,JNP) =  - DC(i-imh,JNP)
   END DO
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE ymist
@@ -1322,5 +1322,5 @@
   IMPLICIT NONE
   INTEGER :: IMR,JNP,j1,j2,JORD
-  real,parameter :: R3 = 1./3., R23 = 2./3.
+  REAL,parameter :: R3 = 1./3., R23 = 2./3.
   REAL :: VC(IMR,*),flux(IMR,*),P(IMR,*),DC(IMR,*)
   ! Local work arrays.
@@ -1328,5 +1328,5 @@
   INTEGER :: LMT,i
   INTEGER :: IMH,JMR,j11,IMJM1,len
-   ! logical first
+   ! LOGICAL first
    ! data first /.TRUE./
    ! SAVE LMT
@@ -1348,8 +1348,8 @@
    ! else
    !       LMT = JORD - 3
-   ! endif
+   ! END IF
   !
   !  first = .FALSE.
-  !  endif
+  !  ENDIF
   !
   ! modifs pour pouvoir choisir plusieurs schemas PPM
@@ -1394,5 +1394,5 @@
   flux(i,j1) = AL(i,j1) - 0.5*VC(i,j1)*(AR(i,j1) - AL(i,j1) + &
         A6(i,j1)*(1.+R23*VC(i,j1)))
-  endif
+  ENDIF
   END DO
   RETURN
@@ -1498,5 +1498,5 @@
     JMR = JNP-1
   do j=j1,j2
-  IF(J>JS  .and. J<JN) GO TO 1309
+  IF(J>JS  .AND. J<JN) GO TO 1309
   !
   do i=1,IMR
@@ -1527,5 +1527,5 @@
   else
   adx(i,j) = qtmp(iiu)+ru*(qtmp(iiu)-qtmp(iiu+1))
-  endif
+  ENDIF
   enddo
   ENDIF
@@ -1598,5 +1598,5 @@
   ! LMT = 2: POSITIVE-DEFINITE CONSTRAINT
   !
-  real,parameter :: R12 = 1./12.
+  REAL,parameter :: R12 = 1./12.
   REAL :: A6(IM),AR(IM),AL(IM),P(IM),DC(IM)
   INTEGER :: IM,LMT
@@ -1621,6 +1621,6 @@
         A6(i) = 3.*(AR(i)-p(i))
         AL(i) = AR(i) - A6(i)
-  endif
-  endif
+  ENDIF
+  ENDIF
   END DO
   elseif(LMT==1) THEN
@@ -1628,5 +1628,5 @@
   do i=1,IM
   IF(abs(AR(i)-AL(i)) >= -A6(i)) go to 150
-  IF(p(i)<AR(i) .and. p(i)<AL(i)) THEN
+  IF(p(i)<AR(i) .AND. p(i)<AL(i)) THEN
         AR(i) = p(i)
         AL(i) = p(i)
@@ -1638,5 +1638,5 @@
         A6(i) = 3.*(AR(i)-p(i))
         AL(i) = AR(i) - A6(i)
-  endif
+  ENDIF
 150   continue
   END DO
@@ -1646,5 +1646,5 @@
   fmin = p(i) + 0.25*(AR(i)-AL(i))**2/A6(i) + A6(i)*R12
   IF(fmin>=0.) go to 250
-  IF(p(i)<AR(i) .and. p(i)<AL(i)) THEN
+  IF(p(i)<AR(i) .AND. p(i)<AL(i)) THEN
         AR(i) = p(i)
         AL(i) = p(i)
@@ -1656,8 +1656,8 @@
         A6(i) = 3.*(AR(i)-p(i))
         AL(i) = AR(i) - A6(i)
-  endif
+  ENDIF
 250   continue
   END DO
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE lmtppm
@@ -1708,5 +1708,5 @@
    cose(j) =  cose(JNP+2-j)
    enddo
-  endif
+  ENDIF
   !
   do j=2,JMR
@@ -1746,8 +1746,8 @@
         cross,IC,NSTEP)
   !
-  real,parameter :: tiny = 1.E-60
+  REAL,parameter :: tiny = 1.E-60
   INTEGER :: IMR,JNP,NLAY,j1,j2,IC,NSTEP
   REAL :: Q(IMR,JNP,NLAY),qtmp(IMR,JNP),cosp(*),acosp(*)
-  logical :: cross
+  LOGICAL :: cross
   INTEGER :: NLAYM1,len,ip,L,icr,ipy,ipx,i
   REAL :: qup,qly,dup,sum
@@ -1767,5 +1767,5 @@
   IF(cross) THEN
   CALL filcr(q(1,1,L),IMR,JNP,j1,j2,cosp,acosp,icr,tiny)
-  endif
+  ENDIF
   IF(icr==0) goto 50
   !
@@ -1776,5 +1776,5 @@
       Q(i,j1,2) = Q(i,j1,2) + Q(i,j1,1)
       Q(i,j1,1) = 0.
-  endif
+  ENDIF
   enddo
   !
@@ -1789,5 +1789,5 @@
   IF(cross) THEN
   CALL filcr(q(1,1,L),IMR,JNP,j1,j2,cosp,acosp,icr,tiny)
-  endif
+  ENDIF
   IF(icr==0) goto 225
   !
@@ -1843,9 +1843,9 @@
   WRITE(6,*) 'IC=',IC,' STEP=',NSTEP, &
         ' Vertical filling pts=',ip
-  endif
+  ENDIF
   !
   IF(sum>1.e-25) THEN
   WRITE(6,*) IC,NSTEP,' Mass source from the ground=',sum
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE qckxyz
@@ -1875,7 +1875,7 @@
   q(i+1,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
-  END DO
-  IF(icr==0 .and. q(IMR,j)>=0.) goto 65
+  ENDIF
+  END DO
+  IF(icr==0 .AND. q(IMR,j)>=0.) goto 65
   DO i=2,IMR
   IF(q(i,j)<0.) THEN
@@ -1894,5 +1894,5 @@
   q(i-1,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   END DO
   ! *****************************************
@@ -1914,5 +1914,5 @@
   q(IMR,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   ! *****************************************
   ! i=IMR
@@ -1933,5 +1933,5 @@
   q(1,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   ! *****************************************
 65   continue
@@ -1939,15 +1939,15 @@
   !
   do i=1,IMR
-  IF(q(i,j1)<0. .or. q(i,j2)<0.) THEN
+  IF(q(i,j1)<0. .OR. q(i,j2)<0.) THEN
   icr = 1
   goto 80
-  endif
+  ENDIF
   enddo
   !
 80   continue
   !
-  IF(q(1,1)<0. .or. q(1,jnp)<0.) THEN
+  IF(q(1,1)<0. .OR. q(1,jnp)<0.) THEN
   icr = 1
-  endif
+  ENDIF
   !
   RETURN
@@ -1960,5 +1960,5 @@
   REAL :: DP,CAP1,dq,dn,d0,d1,ds,d2
   INTEGER :: i,j
-   ! logical first
+   ! LOGICAL first
    ! data first /.TRUE./
    ! save cap1
@@ -1968,5 +1968,5 @@
   CAP1 = IMR*(1.-COS((j1-1.5)*DP))/DP
    ! first = .FALSE.
-   ! endif
+   ! END IF
   !
   ipy = 0
@@ -1988,5 +1988,5 @@
   q(i,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   END DO
   END DO
@@ -2002,5 +2002,5 @@
   q(i,j1+1) = (dn - d1)*acosp(j1+1)
   q(i,j1) = (d1 - dq)*acosp(j1) + tiny
-  endif
+  ENDIF
   enddo
   !
@@ -2016,5 +2016,5 @@
   q(i,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   enddo
   !
@@ -2027,5 +2027,5 @@
   IF(q(i,j1)<0.) ipy = 1
   enddo
-  endif
+  ENDIF
   !
   IF(q(1,JNP)<0.) THEN
@@ -2036,5 +2036,5 @@
   IF(q(i,j2)<0.) ipy = 1
   enddo
-  endif
+  ENDIF
   !
   RETURN
@@ -2070,5 +2070,5 @@
   qtmp(j,i+1) = qtmp(j,i+1) - d2
   qtmp(j,i) = qtmp(j,i) + d2 + tiny
-  endif
+  ENDIF
   END DO
   END DO
@@ -2089,5 +2089,5 @@
   !
   qtmp(j,i) = qtmp(j,i) + d2 + tiny
-  endif
+  ENDIF
   END DO
   i=IMR
@@ -2106,5 +2106,5 @@
   !
   qtmp(j,i) = qtmp(j,i) + d2 + tiny
-  endif
+  ENDIF
   END DO
   !
@@ -2118,6 +2118,6 @@
   !
   ! Poles.
-  IF(q(1,1)<0 .or. q(1,JNP)<0.) ipx = 1
-  endif
+  IF(q(1,1)<0 .OR. q(1,JNP)<0.) ipx = 1
+  ENDIF
   RETURN
 END SUBROUTINE filew
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90	(revision 5117)
@@ -62,5 +62,5 @@
   INTEGER :: ismax,ismin
   EXTERNAL  SSUM, ismin,ismax
-  logical :: first
+  LOGICAL :: first
   save first
   EXTERNAL advxp,advyp,advzp
@@ -109,5 +109,5 @@
     ENDDO
     ENDDO
-  endif
+  ENDIF
   !   Fin modif Fred
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90	(revision 5117)
@@ -11,16 +11,16 @@
     ! xprimm.
 
-    use nrtype, ONLY: twopi
-    use serre_mod, ONLY: clon
+    USE lmdz_physical_constants, ONLY: twopi
+    USE serre_mod, ONLY: clon
 
     include "dimensions.h"
     ! for iim
 
-    integer, intent(in):: is2
-    real, intent(inout):: xlon(:), xprimm(:) ! (iim + 1)
+    INTEGER, INTENT(IN):: is2
+    REAL, INTENT(INOUT):: xlon(:), xprimm(:) ! (iim + 1)
 
     !-----------------------------------------------------
 
-    if (is2 /= 0) THEN
+    IF (is2 /= 0) THEN
        IF (clon <= 0.) THEN
           IF (is2 /= 1) THEN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/sortvarc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/sortvarc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/sortvarc.f90	(revision 5117)
@@ -70,6 +70,6 @@
   ! Ehouarn: when no initialization fields from file, resetvarc should be
        ! set to false
-   if (firstcal) THEN
-     if (.not.read_start) THEN
+   IF (firstcal) THEN
+     IF (.NOT.read_start) THEN
        resetvarc=.TRUE.
      endif
@@ -147,5 +147,5 @@
   ang   = SSUM(     llm,  angl, 1 )
 
-  IF (firstcal.and.resetvarc) THEN
+  IF (firstcal.AND.resetvarc) THEN
      WRITE(lunout,3500) itau, rjour, heure, time
      WRITE(lunout,*) trim(modname), &
@@ -162,30 +162,30 @@
   ! compute relative changes in etot,... (except if 'reference' values
   ! are zero, which can happen when using iniacademic)
-  if (etot0/=0) THEN
+  IF (etot0/=0) THEN
     etot= etot/etot0
   else
     etot=1.
-  endif
+  ENDIF
   rmsv= SQRT(rmsv/ptot)
-  if (ptot0/=0) THEN
+  IF (ptot0/=0) THEN
     ptot= ptot/ptot0
   else
     ptot=1.
-  endif
-  if (ztot0/=0) THEN
+  ENDIF
+  IF (ztot0/=0) THEN
     ztot= ztot/ztot0
   else
     ztot=1.
-  endif
-  if (stot0/=0) THEN
+  ENDIF
+  IF (stot0/=0) THEN
     stot= stot/stot0
   else
     stot=1.
-  endif
-  if (ang0/=0) THEN
+  ENDIF
+  IF (ang0/=0) THEN
     ang = ang /ang0
   else
     ang=1.
-  endif
+  ENDIF
 
   firstcal = .FALSE.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90	(revision 5117)
@@ -43,6 +43,6 @@
 
      do ij=1,iim
-      if (teta(ij,l)/=teta(1,l) &
-            .or.teta(ip1jm+ij,l)/=teta(ip1jm+1,l) ) THEN
+      IF (teta(ij,l)/=teta(1,l) &
+            .OR.teta(ip1jm+ij,l)/=teta(ip1jm+1,l) ) THEN
       PRINT *,'STOP dans test_period car ---  TETA  ---  n est pas', &
             ' constant aux poles ! '
@@ -99,6 +99,6 @@
      ENDDO
      do ij=1,iim
-      if (p(ij,l)/=p(1,l) &
-            .or.p(ip1jm+ij,l)/=p(ip1jm+1,l) ) THEN
+      IF (p(ij,l)/=p(1,l) &
+            .OR.p(ip1jm+ij,l)/=p(ip1jm+1,l) ) THEN
       PRINT *,'STOP dans test_period car ---  P     ---  n est pas', &
             ' constant aux poles ! '
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tracstoke.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tracstoke.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tracstoke.h	(revision 5117)
@@ -3,3 +3,3 @@
 
       common /tracstoke/istdyn,istphy,unittrac
-      integer istdyn,istphy,unittrac
+      INTEGER istdyn,istphy,unittrac
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90	(revision 5117)
@@ -11,5 +11,5 @@
   ! levels are pressure levels.
 
-  use comconst_mod, ONLY: omeg, rad
+  USE comconst_mod, ONLY: omeg, rad
   
   IMPLICIT NONE
@@ -19,9 +19,9 @@
   include "comgeom2.h"
 
-  real ucov(iip1,jjp1,llm),phi(iip1,jjp1,llm)
-  real um(jjm,llm),fact,u(iip1,jjm,llm)
-  integer i,j,l
+  REAL ucov(iip1,jjp1,llm),phi(iip1,jjp1,llm)
+  REAL um(jjm,llm),fact,u(iip1,jjm,llm)
+  INTEGER i,j,l
 
-  real zlat
+  REAL zlat
 
   um(:,:)=0 ! initialize um()
@@ -29,5 +29,5 @@
   DO j=1,jjm
 
-     if (abs(sin(rlatv(j)))<1.e-4) THEN
+     IF (abs(sin(rlatv(j)))<1.e-4) THEN
         zlat=1.e-4
      else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h	(revision 5117)
@@ -2,5 +2,5 @@
 ! $Header$
 
-if (callinigrads) THEN
+IF (callinigrads) THEN
    string10='dyn'
    CALL inigrads(1,iip1 &
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90	(revision 5117)
@@ -5,5 +5,5 @@
   USE ioipsl
   USE infotrac, ONLY: nqtot
-  use com_io_dyn_mod, ONLY: histaveid, histvaveid, histuaveid
+  USE com_io_dyn_mod, ONLY: histaveid, histvaveid, histuaveid
   USE comconst_mod, ONLY: cpp
   USE temps_mod, ONLY: itau_dyn
@@ -47,10 +47,10 @@
   !   Variables locales
 
-  integer ndex2d(ip1jmp1), ndexu(ip1jmp1*llm), ndexv(ip1jm*llm)
+  INTEGER ndex2d(ip1jmp1), ndexu(ip1jmp1*llm), ndexv(ip1jm*llm)
   INTEGER iq, ii, ll
-  real tm(ip1jmp1*llm)
+  REAL tm(ip1jmp1*llm)
   REAL vnat(ip1jm, llm), unat(ip1jmp1, llm)
-  logical ok_sync
-  integer itau_w
+  LOGICAL ok_sync
+  INTEGER itau_w
 
   !-----------------------------------------------------------------
@@ -120,5 +120,5 @@
   ! CALL histwrite(histaveid, 'phis', itau_w, phis, iip1*jjp1, ndex2d)
 
-  if (ok_sync) THEN
+  IF (ok_sync) THEN
      CALL histsync(histaveid)
      CALL histsync(histvaveid)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90	(revision 5117)
@@ -55,5 +55,5 @@
   INTEGER :: iq, ii, ll
   INTEGER :: ndexu(ip1jmp1 * llm), ndexv(ip1jm * llm), ndex2d(ip1jmp1)
-  logical :: ok_sync
+  LOGICAL :: ok_sync
   INTEGER :: itau_w
   REAL :: vnat(ip1jm, llm), unat(ip1jmp1, llm)
@@ -114,9 +114,9 @@
   !  Fin
   !
-  if (ok_sync) THEN
+  IF (ok_sync) THEN
     CALL histsync(histid)
     CALL histsync(histvid)
     CALL histsync(histuid)
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE writehist
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.f90	(revision 5117)
@@ -18,7 +18,7 @@
   !     ierr    = severity of situation ( = 0 normal )
 
-  CHARACTER(LEN=*), intent(in):: modname
+  CHARACTER(LEN=*), INTENT(IN):: modname
   INTEGER :: ierr, ierror_mpi
-  CHARACTER(LEN=*), intent(in):: message
+  CHARACTER(LEN=*), INTENT(IN):: message
 
   WRITE(lunout,*) 'in abort_gcm'
@@ -26,7 +26,7 @@
   CALL histclo
   CALL restclo
-  if (MPI_rank == 0) THEN
+  IF (MPI_rank == 0) THEN
      CALL getin_dump
-  endif
+  ENDIF
 !$OMP END MASTER
   ! CALL histclo(2)
@@ -36,10 +36,10 @@
   WRITE(lunout,*) 'Stopping in ', modname
   WRITE(lunout,*) 'Reason = ',message
-  if (ierr == 0) THEN
+  IF (ierr == 0) THEN
     WRITE(lunout,*) 'Everything is cool'
   else
     WRITE(lunout,*) 'Houston, we have a problem, ierr = ', ierr
 
-    if (using_mpi) THEN
+    IF (using_mpi) THEN
 !$OMP CRITICAL (MPI_ABORT_GCM)
       CALL MPI_ABORT(COMM_LMDZ, 1, ierror_mpi)
@@ -49,4 +49,4 @@
     endif
 
-  endif
+  ENDIF
 END SUBROUTINE abort_gcm
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90	(revision 5117)
@@ -96,5 +96,5 @@
 !$OMP END DO NOWAIT
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO  k    = 1, llm
@@ -109,7 +109,7 @@
    ENDDO
 !$OMP END DO NOWAIT
-  endif
-
-  if (pole_sud) THEN
+  ENDIF
+
+  IF (pole_sud) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO  k    = 1, llm
@@ -124,11 +124,11 @@
    ENDDO
 !$OMP END DO NOWAIT
-  endif
+  ENDIF
   !
 
   ijb=ij_begin
   ije=ij_end
-  if (pole_nord) ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -140,5 +140,5 @@
 !$OMP END DO NOWAIT
 
-  if (pole_nord) ijb=ij_begin
+  IF (pole_nord) ijb=ij_begin
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -151,5 +151,5 @@
 
   !
-  if (pole_sud)  ije=ij_end
+  IF (pole_sud)  ije=ij_end
 !$OMP MASTER
   DO j = ijb,ije
@@ -158,5 +158,5 @@
 !$OMP END MASTER
 
-  if (planet_type=="earth") THEN
+  IF (planet_type=="earth") THEN
   ! earth case, special treatment for first 2 tracers (water)
   DO iq = 1, 2
@@ -193,8 +193,8 @@
 !$OMP END DO NOWAIT
    ENDDO
-  endif ! of if (planet_type=="earth")
+  ENDIF ! of if (planet_type=="earth")
 
 !$OMP MASTER
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
     DO  ij   = 1, iim
       xpn(ij) = aire(   ij   ) * pps(  ij     )
@@ -207,7 +207,7 @@
     ENDDO
 
-  endif
-
-  if (pole_sud) THEN
+  ENDIF
+
+  IF (pole_sud) THEN
     DO  ij   = 1, iim
       xps(ij) = aire(ij+ip1jm) * pps(ij+ip1jm )
@@ -220,8 +220,8 @@
     ENDDO
 
-  endif
+  ENDIF
 !$OMP END MASTER
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
     DO iq = 1, nqtot
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -238,7 +238,7 @@
 !$OMP END DO NOWAIT	
     ENDDO
-  endif
-
-  if (pole_sud) THEN
+  ENDIF
+
+  IF (pole_sud) THEN
     DO iq = 1, nqtot
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -255,5 +255,5 @@
 !$OMP END DO NOWAIT	
     ENDDO
-  endif
+  ENDIF
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90	(revision 5117)
@@ -75,6 +75,6 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_nord) ijb = ijb + iip1
-  if (pole_sud)  ije = ije - iip1
+  IF (pole_nord) ijb = ijb + iip1
+  IF (pole_sud)  ije = ije - iip1
 
   DO ij = ijb, ije
@@ -85,5 +85,5 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_sud)  ije = ij_end - iip1
+  IF (pole_sud)  ije = ij_end - iip1
 
   DO ij = ijb, ije
@@ -107,6 +107,6 @@
     ijb = ij_begin
     ije = ij_end
-    if (pole_nord) ijb = ijb + iip1
-    if (pole_sud)  ije = ije - iip1
+    IF (pole_nord) ijb = ijb + iip1
+    IF (pole_sud)  ije = ije - iip1
 
     ! DO    ij     = iip2, ip1jmp1
@@ -124,5 +124,5 @@
     ENDDO
 
-    if (pole_nord) THEN
+    IF (pole_nord) THEN
       DO      ij = 1, iip1
         uav(ij, l) = 0.
@@ -130,5 +130,5 @@
     endif
 
-    if (pole_sud) THEN
+    IF (pole_sud) THEN
       DO      ij = 1, iip1
         uav(ip1jm + ij, l) = 0.
@@ -145,5 +145,5 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_sud)  ije = ij_end - iip1
+  IF (pole_sud)  ije = ij_end - iip1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -180,5 +180,5 @@
     ijb = ij_begin
     ije = ij_end + iip1
-    if (pole_sud)  ije = ij_end
+    IF (pole_sud)  ije = ij_end
 
     DO ij = ijb, ije
@@ -191,6 +191,6 @@
     ijb = ij_begin
     ije = ij_end
-    if (pole_nord) ijb = ijb + iip1
-    if (pole_sud)  ije = ije - iip1
+    IF (pole_nord) ijb = ijb + iip1
+    IF (pole_sud)  ije = ije - iip1
 
     DO ij = ijb, ije - 1
@@ -204,5 +204,5 @@
     ijb = ij_begin
     ije = ij_end
-    if (pole_sud)  ije = ij_end - iip1
+    IF (pole_sud)  ije = ij_end - iip1
 
     DO ij = ijb, ije
@@ -247,6 +247,6 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_nord) ijb = ijb + iip1
-  if (pole_sud)  ije = ije - iip1
+  IF (pole_nord) ijb = ijb + iip1
+  IF (pole_sud)  ije = ije - iip1
   IF (CPPKEY_DEBUGIO) THEN
     CALL WriteField_u('du_bis', du)
@@ -270,5 +270,5 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_sud)  ije = ij_end - iip1
+  IF (pole_sud)  ije = ij_end - iip1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90	(revision 5117)
@@ -14,9 +14,9 @@
   USE Bands
   USE mod_hallo
-  USE Vampir
+  USE lmdz_vampir
   USE times
   USE advtrac_mod, ONLY: finmasse
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
-  USE strings_mod, ONLY: int2str
+  USE lmdz_strings, ONLY: int2str
   USE lmdz_description, ONLY: descript
   USE lmdz_libmath, ONLY: minmax
